package com.y_ys.bench.httpclient ;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.httpclient.Header;

/**
 * HTTPヘッダ.
 *
 * @version 2008/11/16
 * @author masahito suzuki
 * @since MBench 1.00
 */
public class HttpHeader {
    private List<Header> headers = null ;
    
    public HttpHeader() {
        headers = new ArrayList<Header>() ;
    }
    
    public void clear() {
        headers.clear() ;
    }
    
    public void add( String key,String value ) {
        if( key == null || ( key = key.trim() ).length() <= 0 ||
            value == null || ( value = value.trim() ).length() <= 0 ) {
            return ;
        }
        headers.add( new Header( key,value ) ) ;
    }
    
    public void remove( int no ) {
        if( no <= -1 || no >= headers.size() ) {
            return ;
        }
        headers.remove( no ) ;
    }
    
    public Header get( int no ) {
        if( no <= -1 || no >= headers.size() ) {
            return null ;
        }
        return headers.get( no ) ;
    }
    
    public boolean contantsKey( String name,int pos ) {
        if( name == null || ( name = name.trim() ).length() <= 0 ) {
            return false ;
        }
        int len = headers.size() ;
        int cnt = 0 ;
        for( int i = 0 ; i < len ; i ++ ) {
            if( name.equals( headers.get( i ).getName() ) ) {
                if( pos <= cnt ) {
                    return true ;
                }
                cnt ++ ;
            }
        }
        return false ;
    }
    
    public int size() {
        return headers.size() ;
    }
}

